#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n, l; cin>>n>>l;
    int out = -1;

    for(int i=1; i<=n; i++)
    {
        int h; cin>>h;
        if(h<=l)
        {
            out = i;
            break;
        }
    }

    cout<<out;

    return 0;
}